/*  Time-stamp: <2004-10-21 05:03:08 >  */
#include  "NOTEfile.h"


int beat2meas(NOTE_NODE *top, NOTE_HEADER *header_info)
{
  NOTE_NODE *cur;
  NOTE_NODE *same;
  double beatbias;
  double bar_len;

  static int call = 0;
  if(call != 0){  return 0; }
  call = 1;

  cur = cur;
  same = same;
  beatbias = beatbias;
  bar_len = bar_len;
  top = top;
  header_info = header_info;


/*   br_printf(6, "%s: %d: beat2meas $B$,L$<BAu$G$9$,B39T$7$^$9!%(B\n", __FILE__, __LINE__); */

#if 0
  if(header_info->beat_bunsi != -1){
    bar_len = 1.0 * header_info->beat_bunsi;
  }else{
    bar_len = 4.0;  /* $B%G%U%)%k%H$N(B 1 $B>.@aGo?t$O!$(B4.0 $BGo(B  */
  }
  beatbias = 0.0 - bar_len;
  cur = top;
  while(1){
    if(cur == NULL){   break; }
    same = cur;
    while(1){
      if(same == NULL){  break; }
      if(same->ident == BAR){
	beatbias += bar_len;
	same->on_time.beat = beatbias + 1.0;
      }else if(same->ident == BEAT){
	bar_len = 1.0 * header_info->beat_bunsi;
	same->on_time.beat = same->on_time.meas + beatbias;
      }else{
	same->on_time.beat = same->on_time.meas + beatbias;
      }

      if( (same->ident == NOTE) || (same->ident == REST) ){
	same->on_diff.beat = same->on_diff.meas;
	same->len.beat = same->len.meas;
	same->len_diff.beat = same->len_diff.meas;
      }


#if 0
      br_printf(-1, "%lf %lf %lf %07d %lf\n",
		same->on_time.beat,
		same->on_time.real,
		same->on_time.meas,
		same->on_time.delta,
		same->on_time.q_time
		);
#endif
#if 0
      br_printf(-1, "%lf %lf %lf %07d %lf\n",
		same->on_diff.beat,
		same->on_diff.real,
		same->on_diff.meas,
		same->on_diff.delta,
		same->on_diff.q_time
		);
#endif
#if 0
      br_printf(-1, "%lf %lf %lf %07d %lf\n",
		same->len.beat,
		same->len.real,
		same->len.meas,
		same->len.delta,
		same->len.q_time
		);
#endif
#if 0
      br_printf(-1, "%lf %lf %lf %07d %lf\n",
		same->len_diff.beat,
		same->len_diff.real,
		same->len_diff.meas,
		same->len_diff.delta,
		same->len_diff.q_time
		);
#endif

      same = same->samenext;
    }
    
    cur = cur->next;
  }
#endif

  return EXIT_SUCCESS;
}


