/*  Time-stamp: <2005-08-28 17:41:28 >  */
#include  "4ru.h"
#include  <dirent.h>

/* #define  SKIP_CORPUS 1 */

int coper(char *corpus_dir, char *target_file, WRITE_CTRL wctrl, PERF_CTRL pctrl)
{
  DIR *dirp = NULL;
  struct dirent *dirent = NULL;
  int nfiles;
/*   char srch_dir_top[STR_LEN] = "."; */
  CORPUS_ST  corpus_data[CORPUS_SIZE];
  CORPUS_ST  target;
  int i;



#ifdef SKIP_CORPUS
  goto  devel;
#endif


  printf("%s\n", corpus_dir);

  if((dirp = opendir(corpus_dir)) == NULL) {
    br_printf(2, "%s: %d: ǥ쥯ȥ %s 򳫤ޤ\n", __FILE__, __LINE__, corpus_dir);
  }

  nfiles = 0;
  while(1){
    if( (dirent = readdir(dirp)) == NULL){  break; }
    if(strncmp(strrev(dirent->d_name), strrev(".note"), 5) == 0){
/*       puts(dirent->d_name); */
      /*       br_printf(-1, "%s\n", (char *)dirent->d_name); */
      /*  ʤ br_printf Ȥ  */
      /*  ʤ br_printf   */
      sprintf(corpus_data[nfiles].filename, "%s/%s", corpus_dir, dirent->d_name);
      nfiles++;
    }
  }

  closedir(dirp);


  /*  corpus ǡɤ߹  */
  for(i = 0; i < nfiles; i++){
    printf("%2d: %s\n", i, corpus_data[i].filename);
    corpus_data[i].top = NOTEfile_read(corpus_data[i].filename, &(corpus_data[i].header_info), NULL);
    corpus_data[i].linetop = get_note_line(corpus_data[i].top, "m1G", REST);
  }
  printf("CORPUS: %d\n", nfiles);

#if 0
  /*  DEBUG: corpus ǡɽƤߤ  */
  for(i = 0; i < nfiles; i++){
    notelist_display(corpus_data[i].linetop);
  }
#endif






#ifdef SKIP_CORPUS
 devel:
#endif

  puts("------ TARGET ------");
  strcpy(target.filename, target_file);
  target.top = NOTEfile_read(target.filename, &(target.header_info), NULL);
  add_skip(target.top, BEATTIME);
  add_skip(target.top, BPM);
  add_skip(target.top, DAMPER);
  add_skip(target.top, SOFT);
  add_skip(target.top, SOSTENUTO);
  target.linetop = get_note_line(target.top, "m1G", REST);
/*   all_devi_rm(target.top); */
/*   all_devi_rm(target.linetop); */
/*   notelist_display(target.linetop); */

  calc_sim(&target, corpus_data, nfiles, wctrl, pctrl);


/*   exit(0); */

  return  EXIT_SUCCESS;
}
