/*  Time-stamp: <2004-04-26 15:47:17 >  */
#include  "NOTEfile.h"


double get_on_time(FILE *fp, NOTE_HEADER *header_info, NOTE_NODE *cur)
{
  switch(header_info->timescale){
  case  NO_INFO:
  case  T_BEAT:
    return  cur->on_time.beat;
    break;

  case  T_REAL:
    return cur->on_time.real;
    break;

  case  T_DELTA:
    return cur->on_time.delta;
    break;

  case  T_MEAS:
    return cur->on_time.meas;
    break;

  default:
    br_printf(2,
	      "%s: %d: header_info->timescale T_BEAT, T_REAL, T_DELTA, T_MEAS, NO_INFO ΤɤǤ⤢ޤ\n",
	      __FILE__, __LINE__);
    fclose(fp);
    exit(0);

  }

  return -1;

}
