/*  Time-stamp: <2004-05-27 18:59:33 >  */
#include  "NOTEfile.h"
#include  "disp_errline.h"


int note_pedal_parse(FILE *fp, char *filename,
		     int line, char linebuf[], int *idx, char token[],
		     NOTE_HEADER *header_info, NOTE_NODE *cur)
{
  char err_mesg[READBUF_LEN];


  header_info = header_info;


  if(stricmp(token, "Damper") == 0){
    cur->ident = DAMPER;
    cur->val[1] = 64;
  }else if(stricmp(token, "Sostenuto") == 0){
    cur->ident = SOSTENUTO;
    cur->val[1] = 66;
  }else if(stricmp(token, "Soft") == 0){
    cur->ident = SOFT;
    cur->val[1] = 67;
  }else{
    br_printf(2, "%s: %d: ̤Υڥ뼱̻: %s\n",
		__FILE__, __LINE__, token);
    disp_errline(filename, line, linebuf, *idx, "on_diff ľζʸʤ");
    fclose(fp);
    exit(EXIT_FAILURE);
  }

  get_token(linebuf, idx, token);  /*  ʸɤФ  */
  if(strcmp(token, " ") != 0){
    sprintf(err_mesg, jcode_local("ζ˺졩\n"), token);
    disp_errline(filename, line, linebuf, *idx, err_mesg);
    fclose(fp);
    exit(EXIT_FAILURE);
  }
  get_token(linebuf, idx, token);
  sscanf(token, "%lf", &(cur->val[0]));

  get_token(linebuf, idx, token);

  /*
  br_printf(-1, "\npedal: %d\n", (int)cur->val[0]);
  */


  return EXIT_SUCCESS;
  
}
