/*  Time-stamp: <2004-04-26 15:48:33 >  */
#include  "NOTEfile.h"


int set_on_time(FILE *fp, NOTE_HEADER *header_info, NOTE_NODE *cur, double now_on_time)
{
  switch(header_info->timescale){
  case  NO_INFO:
  case  T_BEAT:
    cur->on_time.beat = now_on_time;
    break;

  case  T_REAL:
    cur->on_time.real = now_on_time;
    break;

  case  T_DELTA:
    cur->on_time.delta = now_on_time;
    break;

  case  T_MEAS:
    cur->on_time.meas = now_on_time;
    break;

  default:
    br_printf(2,
	      "%s: %d: header_info->timescale T_BEAT, T_REAL, T_DELTA, T_MEAS, NO_INFO ΤɤǤ⤢ޤ\n",
	      __FILE__, __LINE__);
    fclose(fp);
    exit(0);

  }

  return EXIT_SUCCESS;

}
