/*  Time-stamp: <2004-12-13 17:18:51 >  */
#include  "midi_io.h"
#include  "4ru.h"
#include  "signal_exit.h"


extern  NOTE_NODE *note_top;
extern  NOTE_NODE *note_bot;
/* extern  NOTE_NODE *note_cur; */
extern  NOTE_NODE *note_alc;
extern  NOTE_HEADER note_header;

extern  EL *e_top;
extern  EL *e_bot;
extern  EL *e_cur;
extern  EL *e_alc;
extern  SMF_HEADER  smf_header;
extern  int midiin_port;


void open_note_midi_input(void)
{
  int i;


  /*  $B$"$i$+$8$a!$$$$/$i$+%a%b%j$r3NJ]$7$F$*$/(B  */
  note_top = NOTE_NODE_alloc();
  note_alc = note_top;
  e_top = EL_alloc();
  e_alc = e_top;
  for (i = 1; i < MIDIIN_PRE_ALLOC; i++){
    note_alc->next = NOTE_NODE_alloc();
    note_alc->next->pre = note_alc;
    note_alc = note_alc->next;

    e_alc->next = EL_alloc();
    e_alc->next->pre = e_alc;
    e_alc = e_alc->next;
  }

  note_bot = note_top;
  e_bot = e_top;

  br_printf(5, "MIDI in buffer is %d node(s)\n", MIDIIN_PRE_ALLOC);


#if 0  /*  main() $B$K0\F0(B  */
  signal(SIGSEGV, signal_exit);  /*  Segmentation fault $B$,5/$-$?$H$-$K!$(BMIDI port $B$rJD$8$F$+$iMn$A$k!%(B  */
  signal(SIGINT, signal_exit);   /*  Ctrl + C $B$GCfCG$5$l$?$H$-$K!$(BMIDI port $B$rJD$8$F$+$iMn$A$k!%(B  */
#endif

  br_printf(5, "\n select MIDI in port\n");
  midiin_port = select_midi_in();
  open_midi_in(midiin_port);  /*  MIDI In $B3d$j9~$_3+;O(B  */


  return;
}
