/*  Time-stamp: <2005-05-07 20:49:17 >  */
#ifndef NOTEFILE_H
#define NOTEFILE_H

#include  <stdio.h>
#include  <stdlib.h>
#include  <string.h>
#include  <ctype.h>
#include  <float.h>
#include  "disp_ctr.h"
#include  "fgetline.h"
#include  "check_float.h"
#include  "iconv_if.h"
#ifndef stricmp
#include  "stricmp.h"
#endif

#ifdef XML
#include  <libxml/parser.h>
#endif

#define  NOTEfile_lib_date  "2004-07-14(Wed.)"

#define  VAL_MAX   4
/*  #define  D_VAL_MAX 1  */
#define  NODE_STR_LEN  32
#define  HEAD_STR_LEN  128
#define  NODE_STR_MAX   2
#define  READBUF_LEN  1024

#define  MIDIIN_PRE_ALLOC  1024

#define  SLUR_NUM 6  /*  common.dtd  number-level ˹碌  */
#define  GLISS_NUM 6  /*  common.dtd  number-level ˹碌  */



/*  ident ͥꥹ  */  /*  󷿤ˤۤ褯ʤ  */
/*    */
#define  NOTE_NO 0
#define  ON_VEL  1
#define  OFF_VEL 2

#define  NOTE      0        /*  val[0]: ΡȥʥС
				val[1]: ƥ
				val[2]: եƥ
				*str[0]: ʸ
				*str[1]: 'm', 'a' ʤɤμ̻
			    */
/*    */
#define  REST      16       /*  val[0]: -1
				val[1]: ƥ
				val[2]: եƥ
				*str[0]: "Rest"
				*str[1]: "m0", "a0" ʤɤμ̻
			    */

#define  BPM       1        /*  val[0]: BPM 
				val[1]: BPM δ಻(ϻʬ 1 Ȥ)
			    */

#define  BEATTIME  2        /*  val[0]: BEATTIME 
				val[1]: BEATTIME δ಻(ϻʬ 1 Ȥ)
				str[0]: ʸ
			    */


#define  TACTUS    3        /*  val[0]:˿ʬ
				val[1]: ʬͤξ磱  */

#define  BEAT      4        /*  val[0]: ҵʬ
				val[1]: ҵʬ  */

#define  DAMPER    5        /*  val[0]: Damper ڥƧ(0: , 127: Ƨ߹)
				val[1]: 64(0x40)  MIDI ǤΥȥֹ
			    */
#define  SOSTENUTO 6        /*  val[0]: Sostenuto ڥƧ(0: , 127: Ƨ߹)
				val[1]: 66(0x42)  MIDI ǤΥȥֹ
			    */
#define  SOFT      7        /*  val[0]: Soft ڥƧ(0: , 127: Ƨ߹)
				val[1]: 67(0x43)  MIDI ǤΥȥֹ
			    */
#define  PAUSE     8        /*  val[0]: ٻ߻  */

#define BAR_REPEAT_S 1
#define BAR_REPEAT_E 2
#define BAR_REPEAT_ALL_E 3


#define  BAR       9        /*  val[0]: ֹ
				val[BAR_REPEAT_S]: ON  |: ȿ椢
				val[BAR_REPEAT_E]: ON  :| ȿ椢
				val[BAR_REPEAT_ALL_E]: ON  || ȿ椢
			    */





#define  TEXTSTR   10        /*  ƥȾ  */

#define  O_TEXTSTR 11        /*  Ӱʳο̵ͤ뤹٤ƥȾ  */


#define  MEMO   12           /*   */
                             /*
			       str[0]: ʸ
			     */

#define  MIDI      13        /* MIDI 
				val[0]: MIDI ѥ᡼θĿ
				*(midi + i): MIDI ѥ᡼
			     */

#define  TIMESHIFT 14        /*  val[0]: TIMESHIFT   */


#define  RESV1  15  /*    */

/*  16 ϡ: Rest ΤˤǤ˻ѺѤߡա  */


#define  GENERATOR    17
#define  TITLE        18
#define  COMPOSER     19
#define  PERFORMER    20
#define  ACCOMPANIST  21
#define  ARRANGER     22


#define  DIVISIONS  64  /*  MusicXML Ǥ part  divisions ͤγǼ  */
                       /*  val[0]:  divisions   */
#define  SOUND   65    /*  MusicXML Ǥ Sound suggestion  */
#define  MEASURE 66    /*  MusicXML Ǥ measure  */
                       /*  val[0]:  ֹ  */
#define  WORDS   67    /*  MusicXML  words  */
                       /*  str[0]  words ʸ  */

#define  CRESC_DIM 68  /*  MusicXML Ǥ crescendo, diminuendo  */
#define  DYNAMICS  69  /*  MusicXML Ǥ p Ȥ mf Ȥ  */


#define  AKIRAME  128  /*  make4R ǤΡmatching Ρɡ  */
#define  SKIP 255  /*  ΡɤȤ¸ߤ뤬ɤФȤˤĤ  */

/*  ޤ note_node->ident  */


#ifndef ON
#define ON 1
#endif

#ifndef OFF
#define OFF !ON
#endif

#ifndef MOD_ON
#define MOD_ON 0x11
#endif

#ifndef MOD_OFF
#define MOD_OFF 0x10
#endif


#define  T_BEAT  0
#define  T_REAL  1
#define  T_DELTA 2
#define  T_MEAS  3


#define  DEFAULT_TIMESCALE T_BEAT
#define  DEFAULT_BEATTIME  500.0
#define  DEFAULT_BEAT  4
#define  DEFAULT_VEL  64
#define  DEFAULT_TEMPO (60000.0 / DEFAULT_BEATTIME * (DEFAULT_BEAT / 4.0))
#define  NO_INFO  -32768

#define  START 1
#define  STOP  2
#define  CONT  3


#define  DIVISION  255  /*  ΤΤʤꡩ  Ϥ伫ʬǤ˺Ƥޤä  */


#define  EOL  0x1a
#define  LEN  256
#define  BUF_END  -1
#define  GOT  1
#define  TAB  '\t'
#define  SPC  ' '
#define  CR   '\r'
#define  LF   '\n'
#define  FLOAT_TIME_EXP 2
#define  INT_TIME_EXP 3
#define  TICK_EXP 4
#define  PITCH 6

#define  HEADER  0
#define  BODY    1

typedef enum gpr {GPR1, GPR2a, GPR2b, GPR3a, GPR3b, GPR3c, GPR3d, GPR4, GPR5, GPR6, TH} GPR;
#define  GPR_NUM 11
#define  GPR_PERSON_NUM 4

#define YT 1
#define MH 2
#define RAW 4


typedef struct _note_header{
  int beat_bunsi;  /*  Header ˵ҤƤҵʬ  */
  int beat_bunbo;  /*  Header ˵ҤƤҵʬ  */
  int timescale;   /*  ּñ: T_BEAT ->  
		                     T_REAL ->  »
				     T_DELTA->  ǥ륿
				     T_MEAS ->    */
  int timescale_divi;/*  ּñ̤ǥ륿äȤʬǽ  */ 
  double bpm;      /*  Header ˵ҤƤ BPM   */
  int bpm_base;    /*  Header ˵ҤƤ BPM ͤδ
		       TIMESCALE ֡»֤ΤȤ:
		         ϻʬĹ 1 Ȥ

		       timescale  T_DELTA ΤȤ:
		         ʬǽ
		   */
  double beattime;  /*  Header ˵ҤƤ BEATTIME   */
  int beattime_base;/*  Header ˵ҤƤ BEATTIME ͤδ
			TIMESCALE ֡»֤ΤȤ:
			(ϻʬĹ 1 Ȥ)
			(ʬ䤢 16)

			TIMESCALE  Delta ΤȤ:
			ʬǽ
		    */
  int tactus;      /*  Header ˵ҤƤ TACTUS   */
  int tactus_base; /*  Header ˵ҤƤ TACTUS ͤδ
			TIMESCALE ֡»֤ΤȤ:
			(ϻʬĹ 1 Ȥ)
			(ʬ䤢 16)

			TIMESCALE  Delta ΤȤ:
			ʬǽ
		    */

  /*  string ϡ٤ SJIS 󥳡  */
  char title[HEAD_STR_LEN];  /*  Header ˵ҤƤ̾  */
  char composer[HEAD_STR_LEN];  /*  Header ˵ҤƤʼ̾  */
  char performer[HEAD_STR_LEN];  /*  Header ˵ҤƤռ̾  */
  char accompanist[HEAD_STR_LEN];  /*  Header ˵ҤƤȼռ̾  */
  char arranger[HEAD_STR_LEN];  /*  Header ˵ҤƤԶʼ̾  */
  char generator[HEAD_STR_LEN];  /*  Header ˵ҤƤǡ̾  */

}NOTE_HEADER;



typedef struct _position{
  int def_x;
  int def_y;
  int rel_x;
  int rel_y;
}POSITION;

typedef struct _slur{
  int type;
  int number;
  char linetype[NODE_STR_LEN];
  struct _position pos;
  char place[NODE_STR_LEN];
  char orient[NODE_STR_LEN];
  int bz_offset;
  int bz_offset2;
  int bz_x;
  int bz_y;
  int bz_x2;
  int bz_y2;
}SLUR;


typedef struct _gliss{
  int type;
  int number;
  char linetype[NODE_STR_LEN];
  struct _position pos;
}GLISS;


typedef struct _tech{
  char name[NODE_STR_LEN];
  char place[NODE_STR_LEN];
  int val;
}TECH;

typedef struct _artic{
  char name[NODE_STR_LEN];
  char place[NODE_STR_LEN];
  int val;
}ARTIC;

typedef struct _notations{
  int tied_type;
  struct _slur slur[SLUR_NUM];
  struct _tech tech;
  struct _artic artic;
  struct _gliss gliss[GLISS_NUM];
}NOTATIONS;


typedef struct _font{
  char family[NODE_STR_LEN];
  char style[NODE_STR_LEN];
  int size;
  int weight;
}FONT;


typedef struct _timeformat{
  double beat;  /*  ֥⡼  */
  double real;  /*  »֥⡼  */
  double meas;  /*  ֥⡼  */
  int  delta;   /*  ǥ륿⡼  */
  double q_time;  /* ʬ䤢־ˡ 1.0 Ƿ׻  */
}TF;

typedef struct _grace{
  char type[NODE_STR_LEN];
  double steal_time_pre;
  double steal_time_following;
  double make_time;
}GRACE;


typedef struct _cgpr6{
  double q;
}CGPR6;


typedef struct _note_node{
  int number;
  int ident;    /*  ΥΡɤΥǡɽ̻  */
  struct _note_node *pre;        /*  ΥΡɤؤΥݥ  */
  struct _note_node *next;       /*  ΥΡɤؤΥݥ  */
  struct _note_node *samenext;      /*  ƱΡɤμΥΡɤؤΥݥ  */
  struct _note_node *samepre;       /*  ƱΡɤΥΡɤؤΥݥ  */
  TF on_time;        /*  ΥΡɤΥ٥Ȥȯδ()  */
  TF on_diff;        /*  ΥΡɤΥ٥Ȥȯ on_time Τ   */
  TF len;            /*  ΥΡɤΥ٥Ȥȯ齪λޤǤλ()  */
  TF org_len;        /*  len ѹܤ len   */
  TF len_diff;       /*  ΥΡɤΥ٥ȤνλΡlen ɽ狼Τ  */

  /*   for UNDO  */
  TF pre_on_time;
  TF pre_on_diff;
  TF pre_len;
  TF pre_len_diff;
  double pre_val[VAL_MAX];
  /*   for UNDO  */

  TF xml_on_time;        /*  좬 XML Ǥλ (divisions )  */
  TF org_xml_on_time;    /*  좬 XML Ǥλ (divisions )  */
  TF xml_on_diff;        /*  좬 XML Ǥλ (divisions )  */
  TF xml_len;        /*  좬 XML Ǥλ (divisions )  */
  TF xml_len_diff;   /*  좬 XML Ǥλ (divisions )  */
  TF xml_step;

  struct _note_node *xml_org_node;  /*  ΥΡɤ XMLǡΥԡΡɤǤȤ
					ΥΡɤؤݥ  */
  struct _note_node *to_note_node;  /*  ΥΡɤ XMLǡΥΡɤǤȤ
					note ѥꥹΥΡɤؤݥ  */

  double val[VAL_MAX];      /*  ٥ȥѥ᡼()
			     ident ͤˤäƤޤޤʥѥ᡼ͤǼ
			     (Υեξն򻲾ȤΤ)             */

  char str[NODE_STR_MAX][NODE_STR_LEN];    /*  ٥ȥѥ᡼(ʸ)
			     ident ͤˤäƤޤޤʥѥ᡼ͤǼ
			     (Υեξն򻲾ȤΤ)              */

  int *midi;    /*  "MIDI" һҤξǼ  */

  int stat;              /*  MIDI ǤȤΥơХ  */

  /*  for gru  */
  double ioi;
  double dur;
  double GPR[GPR_NUM];         /*  βμ롼׶Ǥ䤹  */
  int GPR_ON_OFF[GPR_NUM];     /*  βμ롼׶ǤȤ ON  */
  double pre_GPR[GPR_NUM];         /*  βμ롼׶Ǥ䤹  */
  int pre_GPR_ON_OFF[GPR_NUM];     /*  βμ롼׶ǤȤ ON  */
  int GPR_PERSON[GPR_PERSON_NUM][GPR_NUM];  /*  İԤˤäưۤʤ ON, OFF  */
  int pre_GPR_PERSON[GPR_PERSON_NUM][GPR_NUM];  /*  İԤˤäưۤʤ ON, OFF  */
  struct _cgpr6 cgpr6;
  struct _note_node *org_node;  /*  ΥΡɤǡΥԡΡɤǤȤ
				   ΥΡɤؤݥ  */
  struct _note_node *copy_node;  /*  ΥΡɤΥԡΡɤؤΥݥ  */
  int boundaryn;


  /*  for COPER  */
  int pre_pitch_diff;
  int aft_pitch_diff;
#define  SIM_C  2
#define  SIM_L  2
  double sim_val[SIM_C][SIM_L];
  double sim_score[SIM_L];
  struct _note_node *sim_corpus_s[10];
  struct _note_node *sim_corpus_e[10];

  int on_bar_num;            /*  ΥΡɤΥ٥Ȥȯδξֹ       */
  int divi;              /*  ʬǽ  */

  xmlNode *xmlnode;  /* б XML ΡɤؤΥݥ  */
  int tie_start;  /*  tie type  start ΤȤ ON  */
  int tie_stop;  /*  tie type  stop ΤȤ ON  */
  struct _position pos;
  char place[NODE_STR_LEN];
  char orient[NODE_STR_LEN];
  struct _font font;
  int voice;
  int staff;
  struct _notations notations;
  struct _grace grace;

  double draw_xs;
  double draw_xe;
  double draw_ys;
  double draw_ye;

  double draw_norm_xs;
  double draw_norm_xe;
  double draw_norm_ys;
  double draw_norm_ye;

  double draw_vel_stair_y;

}NOTE_NODE;

/*  񤭽Ф˴ؤ뵯ưץǼ  */
#define  CONVCH_NUM 16
typedef struct write_ctrl{
  int damper;
  int soft;
  int sostenuto;
  int beattime;
  int precision;
  /*  int timescale;  */
  double timebias;
  double bartime;
  int startbar;
  int rest_no;
  double convstime;
  double convetime;
  int convch[CONVCH_NUM];
  int xls;  /*  for Excel  */
  int ow_chk;  /*  Overwrite check  */
  int w_4R;
  int meas;
  int offvel;
  char outid[CONVCH_NUM][NODE_STR_LEN];
  int default_vel;  /*  ǥե On Velocity  */
  int smf_divi;  /*  񤭽Ф SMF ʬǽ  */
  int out_note_format;
}WRITE_CTRL;


#define  PLAYNOTE_NUM 16
typedef struct _perf_ctrl{
  int arg_default_vel;
  int playbar;
  char playnote[PLAYNOTE_NUM][NODE_STR_LEN];
  double on_diff_ratio;
  double len_diff_ratio;
  int ig_beattime;
  int ig_bpm;
  int ig_onon;
  int gm_init;
  int gs_init;
  int xg_init;
  int init_tempo;
  int displevel;
}PERF_CTRL;


#define  DRUM_KIND  22
#define  DRUM_STR_LEN 8

typedef struct _drum_def{
  char str[DRUM_STR_LEN];
  int  note_no;
  int  y_pos;
}DRUM_DEF;



/*  ؿץȥ  */
/*  ؿ  */
/* NOTE_NODE *NOTEfile_read(char *filename, int *divi, NOTE_HEADER *header_info); */
NOTE_NODE *NOTEfile_read(char *filename, NOTE_HEADER *header_info, DRUM_DEF *drum_data);


/*  ǻȤؿ  */
int skip_space(char *buf, int *idx);
int get_word(char *buf, char *word, int *line);
/*  int get_token(FILE **fp, char *line_buf, char *token, int *buf_idx);  */
int get_token(char linebuf[], int *idx, char token[]);

int skip_nl(char *buf, int *idx, int *line);
int NOTE_header_read(char *buf, int *line, NOTE_HEADER *header_info);
int time_analyze(char *word, double *on_time, int *on_beat, int *on_tick);
NOTE_NODE *note_analyze(char *buf, int *line);
int ins_node_after(NOTE_NODE *top, NOTE_NODE *tmp);
int ins_node_pre(NOTE_NODE *cur, NOTE_NODE *tmp);


NOTE_NODE *NOTE_NODE_alloc(void);
NOTE_NODE *NOTE_next_NODE_alloc(NOTE_NODE *cur);
NOTE_NODE *NOTE_samenext_NODE_alloc(NOTE_NODE *cur);


NOTE_NODE *note_analyze(char *buf, int *line);

int notename_analyze(char *word, NOTE_NODE *node, DRUM_DEF *drum_data);

int check_float(char *str);

int tick_check(NOTE_NODE *top);

int is_pitch(char *word);

int NOTE_NODE_free(NOTE_NODE *top);

void init_note_header_info(NOTE_HEADER *note_header_info);

void init_wctrl(WRITE_CTRL *wctrl);
void init_pctrl(PERF_CTRL *pctrl);

int note_beat_parse(FILE *fp, char *filename,
		    int line, char linebuf[], int *idx,   char token[],
		    NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_timescale_parse(FILE *fp, char *filename,
			 int line, char linebuf[], int *idx, char token[],
			 NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_generator_parse(FILE *fp, char *filename,
			 int line, char linebuf[], int *idx, char token[],
			 NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_beattime_parse(FILE *fp, char *filename,
			int line, char linebuf[], int *idx, char token[],
			NOTE_HEADER *header_info, NOTE_NODE *cur, int hb);

double onkastr2val(char *onkastr);

int note_tactus_parse(FILE *fp, char *filename,
		      int line, char linebuf[], int *idx, char token[],
		      NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_bpm_parse(FILE *fp, char *filename,
		   int line, char linebuf[], int *idx, char token[],
		   NOTE_HEADER *header_info, NOTE_NODE *cur, int hb);

int note_title_parse(FILE *fp, char *filename,
		    int line, char linebuf[], int *idx, char token[],
		     NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_composer_parse(FILE *fp, char *filename,
			int line, char linebuf[], int *idx, char token[],
			NOTE_HEADER *header_info, NOTE_NODE *cur);

void TF_zero(TF *TF_node);
void TF_negative(TF *TF_node);

int note_bar_parse(FILE *fp, char *filename,
		   int line, char linebuf[], int *idx, char token[],
		   NOTE_NODE *cur);

int note_memo_parse(FILE *fp, char *filename,
		    int line, char linebuf[], int *idx, char token[],
		    NOTE_NODE *cur);

int note_comment_parse(FILE *fp, char *filename,
		       int line, char linebuf[], int *idx, char token[], NOTE_NODE *cur);

int note_performer_parse(FILE *fp, char *filename,
			 int line, char linebuf[], int *idx, char token[],
			 NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_accompanist_parse(FILE *fp, char *filename,
			   int line, char linebuf[], int *idx, char token[],
			   NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_arranger_parse(FILE *fp, char *filename,
			int line, char linebuf[], int *idx, char token[],
			NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_s_time_parse(FILE *fp, char *filename,
		      int line, char linebuf[], int *idx, char token[],
		      NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_timeshift_parse(FILE *fp, char *filename,
			 int line, char linebuf[], int *idx, char token[],
			 NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_noterest_parse(FILE *fp, char *filename,
			int line, char linebuf[], int *idx, char token[],
			NOTE_HEADER *header_info, NOTE_NODE *cur, DRUM_DEF *drum_data);

int is_pitchstr(char *str);

int note_pedal_parse(FILE *fp, char *filename,
		     int line, char linebuf[], int *idx, char token[],
		     NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_pause_parse(FILE *fp, char *filename,
		     int line, char linebuf[], int *idx, char token[],
		     NOTE_HEADER *header_info, NOTE_NODE *cur);

int note_MIDI_parse(FILE *fp, char *filename,
		     int line, char linebuf[], int *idx, char token[],
		    NOTE_HEADER *header_info, NOTE_NODE *cur);

int meas2beat(NOTE_NODE *top, NOTE_HEADER *header_info);

int beat2q_time(NOTE_NODE *top, NOTE_HEADER *header_info);

int meas2delta(NOTE_NODE *top, NOTE_HEADER *header_info);

int q_time2real(NOTE_NODE *top, NOTE_HEADER *header_info);

int q_time2delta(NOTE_NODE *top, NOTE_HEADER *header_info);

int beat2meas(NOTE_NODE *top, NOTE_HEADER *header_info);

int real2beat(NOTE_NODE *top, NOTE_HEADER *header_info);

int delta2beat(NOTE_NODE *top, NOTE_HEADER *header_info);

int note_time_consistency(NOTE_NODE *top, NOTE_HEADER *header_info);

NOTE_NODE *same_postproc(NOTE_NODE *same);
NOTE_NODE *cur_postproc(NOTE_NODE *cur);

int noterest_write(FILE **fp, NOTE_NODE *cur, WRITE_CTRL wctrl);

int NOTEfile_write(char *org_filename, char *out_note_file, NOTE_HEADER *header_info, NOTE_NODE *top, WRITE_CTRL wctrl);

int NOTEheader_write(FILE *fp, NOTE_HEADER header_info,
		     int beattime_flag, int prec, int smf_divi);

int note_timeshift(NOTE_NODE **top);

int set_on_time(FILE *fp, NOTE_HEADER *header_info, NOTE_NODE *cur, double now_on_time);

double get_on_time(FILE *fp, NOTE_HEADER *header_info, NOTE_NODE *cur);

int beattime_write(FILE **fp, NOTE_NODE *cur, WRITE_CTRL wctrl);

int bar_write(FILE **fp, NOTE_NODE *cur, WRITE_CTRL wctrl);

int pedal_write(FILE **fp, NOTE_NODE *cur, WRITE_CTRL wctrl);

NOTE_NODE *note_make_Ttree(NOTE_NODE *top, NOTE_HEADER *note_header_info);

void TFcopy(TF *dst, TF *src);

void NOTE_list_free(NOTE_NODE *top);

void open_note_midi_input(void);

void close_note_midi_in(void);

NOTE_NODE *get_note_line(NOTE_NODE *top, char *str, int add);

/* void print_node(NOTE_NODE *cur); */
char *print_node(NOTE_NODE *cur);

int beat2real(NOTE_NODE *top, NOTE_HEADER *header_info);

int NOTEfile_write_fromto(char *org_filename, char *out_note_file, NOTE_HEADER *header_info, NOTE_NODE *top, WRITE_CTRL wctrl,
			  NOTE_NODE *from, NOTE_NODE *to);

int get_ch(char *flag, char *notename, DRUM_DEF *drum_data);

int notename_to_notenum(char *token, DRUM_DEF *drum_data);

double calc_y_pos(double Lbot, double inter, int linewidth, int scale[], NOTE_NODE *cur,
		  DRUM_DEF *drum_data, int oct, int Y_ADJ);

#endif
