/* Time-stamp: <2005-12-07 03:29:49 noike>  */
#include  "4ru.h"

#define  YET_MAX 1024

#define  DEBUG2 0

extern int all1ch;
extern int pp_mode;


int note2smf(NOTE_NODE *part_top[PART_NUM], PART_INFO  part_info[PART_NUM], int part_num,
	     NOTE_HEADER *note_header_info,
	     EL *smf_top[MAX_TRK_NUM], SMF_HEADER *arg_smf_header_info, WRITE_CTRL  wctrl, PERF_CTRL pctrl,
	     DRUM_DEF *drum_data)
{
  static NOTE_NODE *note_cur;
  NOTE_NODE *note_same;
  int i;
  int j;
  EL *smf_cur;
  int divi;
  char pre_flag[NODE_STR_LEN];
  double beattime;
  int beat_bunbo;
  int timescale;
  ON_BIAS on_bias;
  double tick_rate;
  int abs_delta;
  int abs_delta_max;
  int tempo_usec;
  double time_mul[4];
  int yet_proc[YET_MAX];
  static int yet_proc_max;

  char title[HEAD_STR_LEN];
  char composer[HEAD_STR_LEN];
  char performer[HEAD_STR_LEN];
  char accompanist[HEAD_STR_LEN];
  char arranger[HEAD_STR_LEN];
  char generator[HEAD_STR_LEN];
  NOTE_NODE dummy_note_cur;

  int GMon;
  int bar_delta;
  int out_flag;


#if 0
  for(i = 0; i < PART_NUM; i++){
    printf("[%d]id:\"%s\"\n", i, part_info[i].id);
    printf("[%d]partname:\"%s\"\n", i, part_info[i].partname);
    printf("[%d]inst->id:\"%s\"\n", i, part_info[i].inst->id);
    printf("[%d]inst->instname\"%s\"\n", i, part_info[i].inst->instname);
    printf("[%d]midi_ch:%d\n", i, part_info[i].midi_ch);
    printf("[%d]midi_prg:%d\n\n", i, part_info[i].midi_prg);
  }
#endif

#if 0
  note_cur = part_top[0];
  while(1){
    if(note_cur == NULL){
      break;
    }
    printf("ident: %d, %f %f %s\n", note_cur->ident, note_cur->val[0], note_cur->val[1], note_cur->str[0]);
    note_cur = note_cur->next;
  }
#endif

  for(i = 0; i < PART_NUM; i++){
    note_time_consistency(part_top[i], note_header_info);  /*  T_BEAT, T_MEAN, T_REAL, T_DELTA  Τɤ줫ˡ
						     ľ  */
  }


  for(i = 0; i < YET_MAX; i++){
    yet_proc[i] = 0;
  }
  yet_proc_max = 1;
  GMon = OFF;

  divi = DEFAULT_SMF_DIVI;
  /*  SMF إå˴ؤ  */
  if(arg_smf_header_info->divi == -1){  /*  ưͿ줿ե뤬 SMF Ǥʤ  */
    divi = DEFAULT_SMF_DIVI;
    arg_smf_header_info->divi = divi;
  }else{
    divi = arg_smf_header_info->divi;
  }

  if(wctrl.smf_divi != -1){  /*  ưʬǽꤵ줿Ȥϡͥ褹  */
    divi = wctrl.smf_divi;
  }

  arg_smf_header_info->format = 1;    /*  format ϡ 1  */
  arg_smf_header_info->ntrks = part_num;  /*  ȥåϡXML ǤΥѡȿ˰¸  */

  beattime = DEFAULT_BEATTIME;
  if(note_header_info->bpm > -1.0){
    beattime = 60000.0 / note_header_info->bpm * 16.0 / note_header_info->bpm_base;
  }
  if(note_header_info->beattime > -1.0){  /*  BEATTIME ͥ褹  */
    beattime = note_header_info->beattime * 16.0 / note_header_info->beattime_base;
  }

  beat_bunbo = DEFAULT_BEAT;
  if(note_header_info->beat_bunbo > -1){
    beat_bunbo = note_header_info->beat_bunbo;
  }
  

  /*  ζʾ  */
  /*  ʤΥȥ  */
  strcpy(title, "");
  if(strcmp(note_header_info->title, "") != 0){
    strcpy(title, note_header_info->title);
  }

  strcpy(composer, "");
  if(strcmp(note_header_info->composer, "") != 0){
    strcpy(composer, note_header_info->composer);
  }

  strcpy(performer, "");
  if(strcmp(note_header_info->performer, "") != 0){
    strcpy(performer, note_header_info->performer);
  }

  strcpy(accompanist, "");
  if(strcmp(note_header_info->accompanist, "") != 0){
    strcpy(accompanist, note_header_info->accompanist);
  }

  strcpy(arranger, "");
  if(strcmp(note_header_info->arranger, "") != 0){
    strcpy(arranger, note_header_info->arranger);
  }

  strcpy(generator, "");
  if(strcmp(note_header_info->generator, "") != 0){
    strcpy(generator, note_header_info->generator);
  }
  

  /*  ʬ䤢 1000 tick ˴SMF ѤΥǡ  */
  calc_time_mul(time_mul, beat_bunbo, note_header_info->timescale_divi);

  if(note_header_info->timescale != NO_INFO){
    timescale = note_header_info->timescale;
  }else{
    timescale = T_BEAT;
  }

  tick_rate = 1000.0 / divi;
  
  strcpy(pre_flag, "");
  on_bias.on_time.beat = 0.0;
  on_bias.timestamp = 0.0;


  /*  椫դȤ  */
  /*   if(perf_ctrl.playbar >= 0){ */
  /*     while(1){ */
  /*       if(note_cur == NULL){ */
  /* 	return NULL; */
  /*       } */
  /*       if(note_cur->ident == BAR){ */
  /* 	if(note_cur->val[0] >= perf_ctrl.playbar){ */
  /* 	  *init_counter_val = note_cur->on_time * time_mul[header_info.timescale]; */
  /* 	  break; */
  /* 	} */
  /*       } */
  /*       note_cur = note_cur->next; */
  /*     } */
  /*   } */
  
  /*  Ȥǲ  */
  /*   while(1){ */
  /*     if(note_cur == NULL){ */
  /*       midi_cur = midi_cur->pre; */
  /*       /\*      free(midi_cur->next);  *\/ */
  /*       if(midi_cur != NULL){ */
  /* 	midi_cur->next = NULL; */
  /*       } */
  /*       break; */
  /*     } */
  /*     if(strcmp(perf_ctrl.playnote[0], "") != 0){ */
  /*       for(i = 0; i < PLAYNOTE_NUM; i++){ */
  /* 	if(note_cur->str[1] != NULL){ */
  /* 	  if(strcmp(note_cur->str[1], perf_ctrl.playnote[i]) == 0){ */
  /* 	    break; */
  /* 	  } */
  /* 	} */
  /*       } */
  /*       if(i == PLAYNOTE_NUM){ */
  /* 	note_cur = note_cur->next; */
  /* 	continue; */
  /*       } */
  /*     } */


  abs_delta_max = 0;
  for(i = 0; i < part_num; i++){
    smf_top[i] = EL_alloc();
    smf_cur = smf_top[i];
    note_cur = part_top[i];
    on_bias.timestamp = 0;
    abs_delta = 0;

    /*  ǽΥȥå  */
    if(i == 0){  /*  ν  */
      if( (pctrl.gm_init == ON) || (pctrl.gs_init == ON) || (pctrl.xg_init == ON) ) {  /*  GM System ON  */
	smf_cur->ident = O_TEXTSTR;
	smf_cur->abs_delta = abs_delta;
	smf_cur->timestamp = abs_delta * tick_rate;
	smf_cur->timestamp_for_disp = smf_cur->timestamp;
	smf_cur->stat = 0xf0;
	smf_cur->val2 = 5;
	smf_cur->data[0] = 0x7e;
	smf_cur->data[1] = 0x7f;
	smf_cur->data[2] = 0x09;
	smf_cur->data[3] = 0x01;
	smf_cur->data[4] = 0xf7;
	strcpy(smf_cur->str, "GM System On");
	dummy_note_cur.ident = O_TEXTSTR;
	set_disp_str(&dummy_note_cur, smf_cur);

	smf_cur->next = EL_alloc();
	smf_cur->next->pre = smf_cur;
	smf_cur = smf_cur->next;

	abs_delta += ((divi / 10) * 2);  /*  50msec * 2 (;͵ܤλ֤)  */
      
	GMon = ON;
	if(pctrl.gm_init == ON){
	  br_printf(9, "GM System On ϥǡ˴ޤޤ\n");
	}else{
	  if(pctrl.gs_init == ON){
	    br_printf(9, "GS Reset 򤹤뤿ˡޤGM System On ϥǡ˴ޤޤ\n");
	  }else if(pctrl.xg_init == ON){
	    br_printf(9, "XG System ON 򤹤뤿ˡޤGM System On ϥǡ˴ޤޤ\n");
	  }
	}
      }
      
      if(pctrl.xg_init == ON){  /*  XG System ON (GM System ON äȤ)  */
	smf_cur->ident = O_TEXTSTR;
	smf_cur->abs_delta = abs_delta;
	smf_cur->timestamp = abs_delta * tick_rate;
	smf_cur->timestamp_for_disp = smf_cur->timestamp;
	smf_cur->stat = 0xf0;
	smf_cur->val2 = 8;
	smf_cur->data[0] = 0x43;
	smf_cur->data[1] = 0x10;
	smf_cur->data[2] = 0x4c;
	smf_cur->data[3] = 0x00;
	smf_cur->data[4] = 0x00;
	smf_cur->data[5] = 0x7e;
	smf_cur->data[6] = 0x00;
	smf_cur->data[7] = 0xf7;

	abs_delta += ((divi / 10) * 2);  /*  50msec * 2 (;͵ܤλ֤)  */
      
	strcpy(smf_cur->str, "XG System On");
	dummy_note_cur.ident = O_TEXTSTR;
	set_disp_str(&dummy_note_cur, smf_cur);

	smf_cur->next = EL_alloc();
	smf_cur->next->pre = smf_cur;
	smf_cur = smf_cur->next;

	br_printf(9, "XG System ON ϥǡ˴ޤޤ\n");
      }
	
      if(pctrl.gs_init == ON){  /*  GS Reset  */
	smf_cur->ident = O_TEXTSTR;
	smf_cur->abs_delta = abs_delta;
	smf_cur->timestamp = abs_delta * tick_rate;
	smf_cur->timestamp_for_disp = smf_cur->timestamp;
	smf_cur->stat = 0xf0;
	smf_cur->val2 = 10;
	smf_cur->data[0] = 0x41;
	smf_cur->data[1] = 0x10;
	smf_cur->data[2] = 0x42;
	smf_cur->data[3] = 0x12;
	smf_cur->data[4] = 0x40;
	smf_cur->data[5] = 0x00;
	smf_cur->data[6] = 0x7f;
	smf_cur->data[7] = 0x00;
	smf_cur->data[8] = 0x41;
	smf_cur->data[9] = 0xf7;

	abs_delta += ((divi / 10) * 2);  /*  50msec * 2 (;͵ܤλ֤)  */
      
	strcpy(smf_cur->str, "GS Reset");
	dummy_note_cur.ident = O_TEXTSTR;
	set_disp_str(&dummy_note_cur, smf_cur);

	smf_cur->next = EL_alloc();
	smf_cur->next->pre = smf_cur;
	smf_cur = smf_cur->next;

	br_printf(9, "GS Reset ϥǡ˴ޤޤ\n");
      }
	
      if(strcmp(title, "") != 0){  /*  ȥ  */
	smf_cur->ident = O_TEXTSTR;
	smf_cur->abs_delta = 0;
	smf_cur->timestamp = 0;
	smf_cur->timestamp_for_disp = 0;
	smf_cur->stat = 0xff;
	smf_cur->val1 = 0x03;
	smf_cur->val2 = strlen(title);
	for(j = 0; j < smf_cur->val2; j++){
	  smf_cur->data[j] = title[j];
	}
	smf_cur->data[j] = '\0';

	sprintf(smf_cur->str, "Title: %s", title);
	dummy_note_cur.ident = O_TEXTSTR;
	set_disp_str(&dummy_note_cur, smf_cur);

	smf_cur->next = EL_alloc();
	smf_cur->next->pre = smf_cur;
	smf_cur = smf_cur->next;
      }
    }
    
    /*  ȥåळȤǤ  */
    if(strcmp(part_info[i].partname, "") != 0){  /*  ȥå̾  */
      smf_cur->ident = O_TEXTSTR;
      smf_cur->abs_delta = 0;
      smf_cur->timestamp = 0;
      smf_cur->timestamp_for_disp = 0;
      smf_cur->stat = 0xff;
      smf_cur->val1 = 0x03;
      smf_cur->val2 = strlen(part_info[i].partname);
      for(j = 0; j < smf_cur->val2; j++){
	smf_cur->data[j] = part_info[i].partname[j];
      }
      smf_cur->data[j] = '\0';
      
      sprintf(smf_cur->str, "Track: %s", part_info[i].partname);
      dummy_note_cur.ident = O_TEXTSTR;
      set_disp_str(&dummy_note_cur, smf_cur);

      smf_cur->next = EL_alloc();
      smf_cur->next->pre = smf_cur;
      smf_cur = smf_cur->next;
    }

    if(strcmp(part_info[i].inst->instname, "") != 0){  /*  ڴ̾  */
      smf_cur->ident = O_TEXTSTR;
      smf_cur->abs_delta = 0;
      smf_cur->timestamp = 0;
      smf_cur->timestamp_for_disp = 0;
      smf_cur->stat = 0xff;
      smf_cur->val1 = 0x04;
      smf_cur->val2 = strlen(part_info[i].inst->instname);
      for(j = 0; j < smf_cur->val2; j++){
	smf_cur->data[j] = part_info[i].inst->instname[j];
      }
      smf_cur->data[j] = '\0';
      
      sprintf(smf_cur->str, "Instrument: %s", part_info[i].inst->instname);
      dummy_note_cur.ident = O_TEXTSTR;
      set_disp_str(&dummy_note_cur, smf_cur);

      smf_cur->next = EL_alloc();
      smf_cur->next->pre = smf_cur;
      smf_cur = smf_cur->next;
    }

    if(part_info[i].midi_prg != -1){  /*  MIDI   */
      if(part_info[i].midi_ch == -1){
	br_printf(3, "%s: %d: kokoyo-\n", __FILE__, __LINE__);
	br_printf(2, "part_info[%d].midi_prg != -1 (%d)\n", i, part_info[i].midi_prg);
	br_printf(2, "part_info[%d].midi_ch == -1 \n", i);
	exit(-1);
      }

      smf_cur->ident = 0xc0 + part_info[i].midi_ch - 1;
      smf_cur->abs_delta = abs_delta;
      smf_cur->timestamp = abs_delta * tick_rate;
      smf_cur->timestamp_for_disp = smf_cur->timestamp;
      if(all1ch == ON){
	smf_cur->stat =  0xc0;
      }else{
	smf_cur->stat =  0xc0 + part_info[i].midi_ch - 1;
      }
      smf_cur->val1 = part_info[i].midi_prg - 1;
      
      abs_delta += ((divi / 10) * 2);  /*  50msec * 2 (;͵ܤλ֤)  */
      
      smf_cur->next = EL_alloc();
      smf_cur->next->pre = smf_cur;
      smf_cur = smf_cur->next;
    }

    if(note_header_info->bpm != -1){  /*  Header  BPM ճϻΥƥݤȤꤹ  */
      /*  BPM   */
/*       br_printf(4, "note_header_info->bpm: %f\n", note_header_info->bpm); */
/*       br_printf(4, "note_header_info->bpm_base: %d\n", note_header_info->bpm_base); */

      smf_cur->ident = BPM;
      smf_cur->abs_delta = abs_delta;
      smf_cur->timestamp = abs_delta * tick_rate;
      smf_cur->timestamp_for_disp = smf_cur->timestamp;
      smf_cur->note_node = NULL;
      smf_cur->stat = 0xff;
      smf_cur->val1 = 0x51;	/*	set tempo  */
      smf_cur->val2 = 3;
      smf_cur->nval1 = note_header_info->bpm;
      smf_cur->nval2 = note_header_info->bpm_base;  /*  BPM δ಻(ϻʬ 1 Ȥ)  */
      tempo_usec = (60.0 * 1000.0 * 1000.0) / note_header_info->bpm;
      tempo_usec = tempo_usec * (16.0 / note_header_info->bpm_base);

      smf_cur->data[0] = tempo_usec / (256 * 256);  /*  (tempo_usec & 0xff0000) >> 16  */
      smf_cur->data[1] = (tempo_usec / 256) % 256;  /*  (tempo_usec & 0x00ff00) >>  8  */
      smf_cur->data[2] = tempo_usec % 256;          /*  (tempo_usec & 0x0000ff)        */

      abs_delta += ((divi / 10) * 2);  /*  50msec * 2 (;͵ܤλ֤)  */

      dummy_note_cur.ident = BPM;
      dummy_note_cur.val[0] = smf_cur->nval1;
      dummy_note_cur.val[1] = smf_cur->nval2;
      set_disp_str(&dummy_note_cur, smf_cur);

      smf_cur->next = EL_alloc();
      smf_cur->next->pre = smf_cur;
      smf_cur = smf_cur->next;

    }


    if(note_header_info->beattime != -1){  /*  Header  BEATTIME ճϻΥƥݤȤꤹ  */
      /*  BEATTIME   */
/*       br_printf(4, "note_header_info->beattime: %f\n", note_header_info->beattime); */
/*       br_printf(4, "note_header_info->beattime_base: %d\n", note_header_info->beattime_base); */

      smf_cur->ident = BEATTIME;
      smf_cur->abs_delta = abs_delta;
      smf_cur->timestamp = abs_delta * tick_rate;
      smf_cur->timestamp_for_disp = smf_cur->timestamp;
      smf_cur->note_node = NULL;
      smf_cur->stat = 0xff;
      smf_cur->val1 = 0x51;	/*	set tempo  */
      smf_cur->val2 = 3;

      smf_cur->nval1 = note_header_info->beattime;
      smf_cur->nval2 = note_header_info->beattime_base;  /*  BEATTIME δ಻(ϻʬ 1 Ȥ)  */
      tempo_usec = note_header_info->beattime * 1000;
      tempo_usec = tempo_usec * (16.0 / note_header_info->beattime_base);

      smf_cur->data[0] = tempo_usec / (256 * 256);  /*  (tempo_usec & 0xff0000) >> 16  */
      smf_cur->data[1] = (tempo_usec / 256) % 256;  /*  (tempo_usec & 0x00ff00) >>  8  */
      smf_cur->data[2] = tempo_usec % 256;          /*  (tempo_usec & 0x0000ff)        */

      abs_delta += ((divi / 10) * 2);  /*  50msec * 2 (;͵ܤλ֤)  */

      dummy_note_cur.ident = BEATTIME;
      dummy_note_cur.val[0] = smf_cur->nval1;
      dummy_note_cur.val[1] = smf_cur->nval2;
      set_disp_str(&dummy_note_cur, smf_cur);

      smf_cur->next = EL_alloc();
      smf_cur->next->pre = smf_cur;
      smf_cur = smf_cur->next;

    }

    /*  BPM  BEATTIME ΤɤѤ٤Ƚ  */
/*     br_printf(3, "\nBPM  BEATTIME ΤɤѤ٤Ƚ\n"); */

    if(abs_delta_max < abs_delta){
      abs_delta_max = abs_delta;
    }
  }

  bar_delta = divi * 4;

  abs_delta_max += (bar_delta - (abs_delta_max % bar_delta));
  on_bias.timestamp = abs_delta_max * tick_rate;

  for(i = 0; i < part_num; i++){
    if(smf_top[i] == NULL){
      smf_top[i] = EL_alloc();
      smf_cur = smf_top[i];
    }else{
      smf_cur = smf_top[i];
      while(1){
	if(smf_cur->next == NULL){
	  break;
	}
	smf_cur = smf_cur->next;
      }
    }

    note_cur = part_top[i];
    abs_delta = 0;
    
    while(note_cur != NULL){
      note_same = note_cur;
      while(note_same != NULL){	
	switch(note_same->ident){
	case  NOTE:
	  out_flag = OFF;
	  if(stricmp(wctrl.outid[0], "all") == 0){
	    out_flag = ON;
	  }else{
	    for(i = 1; i < CONVCH_NUM; i++){
	      if(stricmp(wctrl.outid[i], note_same->str[1]) == 0){  /*  ϻꤵ줿  */
		out_flag = ON;
		break;
	      }
	    }
	  }
	  if(out_flag == OFF){
	    break;
	  }


	  smf_cur->ident = NOTE;
/* 	  smf_cur->note_node = note_cur; */
	  smf_cur->note_node = note_same;
	  if(all1ch == ON){
	    smf_cur->stat = 0x90;
	  }else{
	    if(part_info[i].midi_ch != -1){
	      smf_cur->stat = 0x90 + part_info[i].midi_ch - 1;
	    }else{
/* 	      br_printf(3, "%d\n", get_ch(note_same->str[1], note_same->str[0], drum_data)); */
	      smf_cur->stat = 0x90 + get_ch(note_same->str[1], note_same->str[0], drum_data);
	      if(note_same->str[1] != NULL){
		strcpy(pre_flag, note_same->str[1]);
	      }
	    }
	  }
	  smf_cur->val1 = note_same->val[0];
	  if(note_same->val[1] != -1){
	    smf_cur->val2 = note_same->val[1];
	  }
	  if(pctrl.arg_default_vel != -1){
	    smf_cur->val2 = pctrl.arg_default_vel;
	  }
	  if(smf_cur->val2 == 0){
	    smf_cur->val2 = DEFAULT_VEL;
	  }
	  
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  
	  set_disp_str(note_same, smf_cur);
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  /*  ޤ Note-On ٥ȥǡ    */
	  /* --------------------------------------- */
	  /*   Note-Off٥ȥǡ  */
	  smf_cur->ident = NOTE;
	  smf_cur->val1 = note_same->val[0];
	  if(note_same->val[2] != -1){
	    if(all1ch == ON){
	      smf_cur->stat = 0x80;
	    }else{
	      if(part_info[i].midi_ch != -1){
		smf_cur->stat = 0x80 + part_info[i].midi_ch - 1;
	      }else{
		smf_cur->stat = 0x80 + get_ch(note_same->str[1], note_same->str[0], drum_data);
	      }
	    }
	    smf_cur->val2 = note_same->val[2];
	  }else{
	    if(all1ch == ON){
	      smf_cur->stat = 0x90;
	    }else{
	      if(part_info[i].midi_ch != -1){
		smf_cur->stat = 0x90 + part_info[i].midi_ch - 1;
	      }else{
		smf_cur->stat = 0x90 + get_ch(note_same->str[1], note_same->str[0], drum_data);
	      }
	    }
	    smf_cur->val2 = 0;
	  }
	  
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, OFF, pctrl, time_mul, on_bias, tick_rate);
	  set_disp_str(note_same, smf_cur);
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  break;
	  
	  
	case  REST:
	  out_flag = OFF;
	  if(stricmp(wctrl.outid[0], "all") == 0){
	    out_flag = ON;
	  }else{
	    for(i = 1; i < CONVCH_NUM; i++){
	      if(stricmp(wctrl.outid[i], note_same->str[1]) == 0){  /*  ϻꤵ줿  */
		out_flag = ON;
		break;
	      }
	    }
	  }
	  if(out_flag == OFF){
	    break;
	  }

	  smf_cur->ident = REST;
	  if(all1ch == ON){
	    smf_cur->stat = 0x80;
	  }else{
	    if(part_info[i].midi_ch != -1){
	      smf_cur->stat = 0x80 + part_info[i].midi_ch - 1;
	    }else{
	      smf_cur->stat = 0x80 + get_ch(note_same->str[1], note_same->str[0], drum_data);
	      if(note_same->str[1] != NULL){
		strcpy(pre_flag, note_same->str[1]);
	      }
	    }
	  }
	  smf_cur->val1 = 0;
	  if(note_same->val[1] != -1){
	    smf_cur->val2 = note_same->val[1];
	  }else{
	    smf_cur->val2 = pctrl.arg_default_vel;
	  }
	  
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  /*
	    sprintf(str_tmp, "\%c[7;33m%s\%c[m%s %3d",
	    ESC, note_same->str[0], ESC, str_tmp, (int)smf_cur->val2);
	  */
	  
	  set_disp_str(note_same, smf_cur);
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  
	  break;
	  
	  
	case  BPM:
	  if(pctrl.ig_bpm == ON){
	    break;
	  }
	  if(note_header_info->timescale == T_REAL){
	    break;
	  }
	  
	  smf_cur->ident = BPM;
	  smf_cur->note_node = note_cur;
	  smf_cur->stat = 0xff;
	  smf_cur->val1 = 0x51;	/*	set tempo  */
	  smf_cur->val2 = 3;
	  smf_cur->nval1 = note_same->val[0];
	  smf_cur->nval2 = 64 / note_same->val[1];  /*  val[1]: BPM δ಻(ϻʬ 1 Ȥ)  */
	  tempo_usec = (60.0 * 1000.0 * 1000.0) / note_same->val[0];
	  tempo_usec = tempo_usec * (16.0 / note_same->val[1]);
	  
	  smf_cur->data[0] = tempo_usec / (256 * 256);  /*  (tempo_usec & 0xff0000) >> 16  */
	  smf_cur->data[1] = (tempo_usec / 256) % 256;  /*  (tempo_usec & 0x00ff00) >>  8  */
	  smf_cur->data[2] = tempo_usec % 256;          /*  (tempo_usec & 0x0000ff)        */
	  
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  set_disp_str(note_same, smf_cur);
	  
#if DEBUG1
	  br_printf(3, "%d usec / quater_note\n", tempo_usec);
	  br_printf(3, "%d: %X %X %X\n", smf_cur->abs_delta, smf_cur->data[0], smf_cur->data[1], smf_cur->data[2]);
#endif
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  
	  break;
	  
	  
	case  BEATTIME:
	  if(pctrl.ig_beattime == ON){
	    break;
	  }
	  if(note_header_info->timescale == T_REAL){
	    break;
	  }
	  
	  smf_cur->ident = BPM;
	  smf_cur->note_node = note_cur;
	  smf_cur->stat = 0xff;
	  smf_cur->val1 = 0x51;	/*	set tempo  */
	  smf_cur->val2 = 3;
	  smf_cur->nval1 = note_same->val[0];
	  smf_cur->nval2 = 64 / note_same->val[1];  /*  val[1]: BPM δ಻(ϻʬ 1 Ȥ)  */
	  tempo_usec = note_same->val[0] * 1000;
	  tempo_usec = tempo_usec * (16.0 / note_same->val[1]);
	  smf_cur->data[0] = tempo_usec / (256 * 256);  /*  (tempo_usec & 0xff0000) >> 16  */
	  smf_cur->data[1] = (tempo_usec / 256) % 256;  /*  (tempo_usec & 0x00ff00) >>  8  */
	  smf_cur->data[2] = tempo_usec % 256;          /*  (tempo_usec & 0x0000ff)        */
	  
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  set_disp_str(note_same, smf_cur);
	  
#if DEBUG2
	  br_printf(3, "%d usec / quater_note: %5.3fQBPM\n", tempo_usec, 60000000.0 / tempo_usec);
	  br_printf(3, "%d: %X %X %X\n", smf_cur->abs_delta, smf_cur->data[0], smf_cur->data[1], smf_cur->data[2]);
#endif
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  
	  break;
	  
	  
#if 0
	  smf_cur->stat = BEATTIME;
	  smf_cur->val1 = note_same->val[0].d * 16.0 / note_same->val[1].d;
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  set_disp_str(note_same, smf_cur);
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
#endif
	  
	  /*	  ɬס
		  calc_time_mul(time_mul, beat_bunbo, note_header_info->timescale_divi);
	  */
	  
	  break;
	  
	  
	case  DAMPER:
	case  SOSTENUTO:
	case  SOFT:
	  smf_cur->ident = note_same->ident;
/* 	  smf_cur->note_node = note_cur; */
	  if(pp_mode == ON){
	    smf_cur->stat = 0xb2;
	  }else if(all1ch == ON){
	    smf_cur->stat = 0xb0;
	  }else{
	    if(part_info[i].midi_ch != -1){
	      smf_cur->stat = 0xb0 + part_info[i].midi_ch - 1;
	    }else{
	      if(strcmp(pre_flag, "") == 0){
		smf_cur->stat = 0xb0 + get_ch("", note_same->str[0], drum_data);
	      }else{
		smf_cur->stat = 0xb0 + get_ch(pre_flag, note_same->str[0], drum_data);
	      }
	    }
	  }
	  
	  switch(note_same->ident){
	  case  DAMPER:
	    smf_cur->val1 = 0x40;
	    break;
	    
	  case  SOSTENUTO:
	    smf_cur->val1 = 0x42;
	    break;
	    
	  case  SOFT:
	    smf_cur->val1 = 0x43;
	    break;
	  }
	  smf_cur->val2 = note_same->val[0];
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  set_disp_str(note_same, smf_cur);
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  
	  break;
	  
	case  PAUSE:
	  br_printf(3, "%s: %d: koko %d\n",
		    __FILE__, __LINE__, note_same->ident);
	  break;
	  
	  smf_cur->stat = PAUSE;
	  smf_cur->val1 = note_same->val[0] * time_mul[note_header_info->timescale];
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  set_disp_str(note_same, smf_cur);
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  
	  break;
	  
	  
	case  BAR:  /*  ⤷ʤ  */
	  break;
	  
	case  BEAT:
	  smf_cur->ident = BEAT;
	  smf_cur->stat = 0xff;
	  smf_cur->val1 = 0x58;
	  smf_cur->val2 = 4;
	  smf_cur->nval1 = note_same->val[0];
	  smf_cur->nval2 = note_same->val[1];
	  beat_bunbo = note_same->val[1];
	  calc_time_mul(time_mul, beat_bunbo, note_header_info->timescale_divi);
	  
	  smf_cur->data[0] = note_same->val[0];
	  smf_cur->data[1] =
	    (int)floor(log(beat_bunbo) / log(2.0) + 0.5);
	  smf_cur->data[2] = 24; /*  1ȥΡ९å MIDI å  */
	  smf_cur->data[3] = 8;  /*  좬˴ޤޤ뻰ʬο  */
	  
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  set_disp_str(note_same, smf_cur);
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  
	  
	  break;
	  
	  
	case  MEASURE:  /*  ʤˤ⤷ʤ  */
	  break;
	  
	  
	case  DIVISIONS:  /*  ǤˡΤ̤ re_divisioning ƤϤʤΤǡʤˤ⤷ʤ  */
	  break;
	  
	  
	case  WORDS:
	case  CRESC_DIM:
	case  DYNAMICS:  /*  XML Ǥ "p" Ȥ "mf" Ȥ  */
	  smf_cur->ident = TEXTSTR;
	  smf_cur->stat = 0xff;
	  smf_cur->val1 = 0x01;
	  smf_cur->val2 = strlen(note_same->str[0]);
	  for(j = 0; j < smf_cur->val2; j++){
	    smf_cur->data[j] = note_same->str[0][j];
	  }
	  smf_cur->data[j] = '\0';
	  if(note_same->val[0] != -1){
	    smf_cur->nval1 = note_same->val[0];  /*  ͤϡXML ɤ߹ǡ
						    NOTE ΥꥹȤȿǤƤϤʤΤǡ
						    ۤäƤƤ褤Ϥ  */
	  }
	  
	  abs_delta = set_timestamp(note_same, smf_cur, timescale, ON, pctrl, time_mul, on_bias, tick_rate);
	  set_disp_str(note_same, smf_cur);
	  
	  smf_cur->next = EL_alloc();
	  smf_cur->next->pre = smf_cur;
	  smf_cur = smf_cur->next;
	  
	  break;
	  
	  
	default:
	  for(i = 0; i < yet_proc_max; i++){
	    if(note_same->ident == yet_proc[i]){
	      break;
	    }
	  }
	  if(i == yet_proc_max){
	    br_printf(2, "%s: %d: note ident %d νԤäƤޤ\n",
		      __FILE__, __LINE__, note_same->ident);
	    yet_proc[i] = note_same->ident;
	    yet_proc_max++;
	  }
#if 0
	  if(note_same->ident < YET_MAX){
	    if(yet_proc[note_same->ident] != 1){
	      br_printf(2, "%s: %d: note ident %d νԤäƤޤ\n",
			__FILE__, __LINE__, note_same->ident);
	      yet_proc[note_same->ident] = 1;
	    }
	  }else{
	    br_printf(2, "%s: %d: note ident %d νԤäƤޤ\n",
		      __FILE__, __LINE__, note_same->ident);
	  }
#endif
	  break;

	}
	note_same = note_same->samenext;
      }
      note_cur = note_cur->next;
    }

#if 0
  /*  abs_delta κͤ狼ʤ̤ΥȥåǱ椫⤷ʤΤǡ
      Ĥ Off ˤ櫓ˤϤʤ
  */
    if( (pctrl.gm_init == ON) && (GMon == ON) ){  /*  GM init äȤϡGM off ƽ  */
      smf_cur->ident = O_TEXTSTR;
      smf_cur->stat = 0xf0;
      smf_cur->val2 = 5;
      smf_cur->data[0] = 0x7e;
      smf_cur->data[1] = 0x7f;
      smf_cur->data[2] = 0x09;
      smf_cur->data[3] = 0x02;
      smf_cur->data[4] = 0xf7;

      abs_delta += ((divi / 10) * 2);  /*  ;͵ܤλ֤  */
      smf_cur->abs_delta = abs_delta;
      smf_cur->timestamp = abs_delta * tick_rate;
      smf_cur->timestamp_for_disp = smf_cur->timestamp;
      
      smf_cur->next = EL_alloc();
      smf_cur->next->pre = smf_cur;
      smf_cur = smf_cur->next;
      GMon = OFF;
    }
#endif

    abs_delta += divi;  /*  1  End Of Track  */
    smf_cur->abs_delta = abs_delta;
    smf_cur->timestamp = abs_delta * tick_rate;
    smf_cur->timestamp_for_disp = smf_cur->timestamp;
    smf_cur->ident = EOT;
    smf_cur->stat = 0xff;
    smf_cur->val1 = 0x2f;
    smf_cur->val2 = 0;
    smf_cur->next = NULL;

  }


  for(i = 0; i < arg_smf_header_info->ntrks; i++){
    smf_top[i] = sort_smf_list(smf_top[i]);
  }
  
  
#if 0
  for(i = 0; i < arg_smf_header_info->ntrks; i++){
    smf_cur = smf_top[i];
    while(smf_cur != NULL){
      br_printf(8, "%d %d %X %X %X\n", smf_cur->abs_delta, smf_cur->ident, smf_cur->stat, smf_cur->val1, smf_cur->val2);
      smf_cur = smf_cur->next;
    }
    printf("\n");
  }
#endif
  
  if(pctrl.ig_onon != ON){
    for(i = 0; i < arg_smf_header_info->ntrks; i++){
      on_on_chk(smf_top[i]);
    }
  }


  return EXIT_SUCCESS;
}
