/* Time-stamp: <2004-09-16 15:01:02 >  */
/*  Time-stamp: <2004-09-16 14:58:17 >  */
#include  "4ru.h"


extern GLdouble gosen_colors[8][4];
extern double camera_x;
extern double camera_y;
extern double camera_z;
extern double alpha;


void set_gosen_colors(void)
{
  int i;


  if( (camera_x != DEFAULT_CAMERA_X) ||
      (camera_y != DEFAULT_CAMERA_Y) ||
      (camera_z != DEFAULT_CAMERA_Z) ){
    for(i = 0; i < 8; i++){
      gosen_colors[i][R] = 0.0;
      gosen_colors[i][G] = 1.0;
      gosen_colors[i][B] = 1.0;
      gosen_colors[i][A] = alpha;
    }
  }else{
    alpha = 1.0;
    for(i = 0; i < 8; i++){
      gosen_colors[i][R] = 0.0;
      gosen_colors[i][G] = 0.0;
      gosen_colors[i][B] = 0.0;
      gosen_colors[i][A] = alpha;
    }
  }
}
