/*  Time-stamp: <2005-03-08 17:57:02 >  */
#include  "4ru.h"
#include  <glut.h>
#include  "bit_rev.h"


void xbm_put(int x, int y, int z, int width, int height, unsigned char *xbm_bits, GLdouble colors[])
{
  static GLubyte  *GL_bits;
  int idx;
  int i;
  int j;
  int src;
  int dst;


  GL_bits = (GLubyte *)malloc(sizeof(GLubyte) * height * width);
  if(GL_bits == NULL){
    br_printf(1, "%s: %d: xbm ɽ뤿ΥݤǤޤǤ\n", __FILE__, __LINE__);
    exit(EXIT_FAILURE);
  }

  idx = 0;
  for(i = (height - 1); i >= 0; i--){
    for(j = 0; j < ceil(width / 8.0); j++){
      src = (i * ceil(width / 8.0)) + j;
/*       printf("src: %d\n", src); */
      dst = idx;
      *(GL_bits + dst) = (GLubyte)bit_rev( *(xbm_bits + src) );
      idx++;
    }
  }

  glColor4dv(colors);
  glRasterPos3d(x, y, z);
  glBitmap((GLsizei)width, (GLsizei)height, 0.0, 0.0, 0.0, 0.0, GL_bits);

}
